Subject: Re: [PATCH v3 3/7] builtin: patch-id: fix patch-id with binary diffs

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Oct 2022 14:12:33 -0700

"Jerry Zhang via GitGitGadget" <[email-masked]> writes:

> From: Jerry Zhang <[email-masked]>
>
> "git patch-id" currently doesn't produce correct output if the
> incoming diff has any binary files. Add logic to
> get_one_patchid to handle the different possible styles of binary
> diff. This attempts to keep resulting patch-ids identical to what
> would be produced by the counterpart logic in diff.c, that is it
> produces the id by hashing the a and b oids in succession.

I thought I saw that a previous step touched diff.c to change how
patch ID for a binary diff is computed to match what patch-id
command computes?  Now we also have to change patch-id?  In the end
output from both may match, but which one between diff and patch-id
have we standardised on?

Puzzled...